sales-invoices-allowed-customers-by-id-delete

Source

  • Repository: jef-systems/jef-sales-invoices-backend

  • Source Run ID: 24009064841

  • Source SHA: 92f7d367e27d34a8feb772a445da302f33a286af

  • Module: sales-invoices

  • Documentation Scope: async

  • Lambda: jef-sales-invoices-delete-88

Endpoint

  • API Name: jef-sales-invoices

  • Action Name: delete

  • Method: DELETE

  • Scope Label: Async

  • Resource Path: /sales-invoices-allowed-customers-by-id-delete

  • Complete Endpoint: https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/sales-invoices-allowed-customers-by-id-delete

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-sales-invoices-delete-88

  • curl payload mode: json_body

API Gateway Description

Function: jef-sales-invoices-delete-88
API Name: jef-sales-invoices
Action: delete
Method: DELETE
Resource Path: /sales-invoices-allowed-customers-by-id-delete

Payload:
- scope_id: entity-1001
- customer_id: customer-uuid

Response:
- ok: true
- job_id: job-uuid
- status: PENDING

Request Payload

{
  "scope_id": "entity-1001",
  "customer_id": "customer-uuid"
}

Response

{
  "ok": "true",
  "job_id": "job-uuid",
  "status": "PENDING"
}

CMD curl

curl -X DELETE "https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/sales-invoices-allowed-customers-by-id-delete" -H "Content-Type: application/json" --data-raw "{\"scope_id\": \"entity-1001\", \"customer_id\": \"customer-uuid\"}"

PowerShell curl

curl.exe -X DELETE "https://f85p4su499.execute-api.ap-southeast-1.amazonaws.com/prod/sales-invoices-allowed-customers-by-id-delete" -H "Content-Type: application/json" --data-raw '{"scope_id": "entity-1001", "customer_id": "customer-uuid"}'